import http from '@/api/http';
/**
 * 充值选项类型
 */
export function channelPaytemplateOptionTypeList(params?: object) {
  return http.get('/channel/paytemplate/optionTypeList', params);
}
/**
 * 位置列表
 */
export function channelPaytemplateOptionOptionSequence(params?: object) {
  return http.get('/channel/paytemplate/optionSequence', params);
}
/**
 * 充值模板列表
 */
export function channelPaytemplateList(params: object) {
  return http.get('/channel/paytemplate/list', params);
}
/**
 * 模板详情
 */
export function channelPaytemplateShow(id: number | string, params?: object) {
  return http.get(`/channel/paytemplate/show/${id}`, params);
}

/**
 * 添加充值模板
 */
export function channelPaytemplateStore(params: object) {
  return http.post('/channel/paytemplate/store', params);
}
/**
 * 更新模板
 */
export function channelPaytemplateUpdate(id: number | string, params: object) {
  return http.post(`/channel/paytemplate/update/${id}`, params);
}
/**
 * 更新模板开关
 */
export function channelPaytemplateUpdateStatus(
  id: number | string,
  params: object
) {
  return http.post(`/channel/paytemplate/updateStatus/${id}`, params);
}
